%define name netcf
%define libmajor 1
%define libname %mklibname %name %libmajor
%define libnamedevel %mklibname -d %name

Name: %name
Version: 0.1.9
Release: %mkrel 2
Group: Networking/Other
License: LGPLv2
Summary: A distribution agnostic library and tool for configuring network interfaces
URL: https://fedorahosted.org/netcf
Source: https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz
Source1: https://fedorahosted.org/released/netcf/netcf-%{version}.tar.gz.sig
# rpmlint complain about the empty line
Patch0: netcf-fix_rpmlint_error.diff
# fixes from ubunto to build against libnl3
Patch1: 0001-use-libnl-3-instead-of-libnl-1.patch
Patch2: 0002-convert-some-function-calls-to-libnl3-API.patch
Patch3: 0008-fix-libnl3-cflags-and-linking.patch
Patch4: 0009-do-not-include-net-if.patch
BuildRequires: augeas-devel 
BuildRequires: libxslt-devel 
BuildRequires: libnl3-devel 
BuildRequires: readline-devel

%description
netcf is

    * a library for configuring network interfaces
    * a command line tool (ncftool) to do the same from the command line
    * distribution-agnostic and supports multiple distributions and operating
      systems (well, soon, anyway)
    * sets up Ethernet interfaces, bridges, and bonds 

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %libname
Group: System/Libraries
Summary: A distribution agnostic library for configuring network interfaces

%description -n %libname
A distribution agnostic library for configuring network interfaces

Both libvirt and NetworkManager need this functionality - netcf implements what
is common to both of them.

%package -n %libnamedevel
Group: Development/C
Summary: Development files for a library for configuring network interfaces
Requires: %libname >= %version-%release
Provides: %name-devel = %{version}

%description -n %libnamedevel
Development files for a distribution agnostic library for configuring network 
interfaces.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure
%make

%install
%makeinstall_std
rm -f %{buildroot}/%{_libdir}/*.a 
rm -f %{buildroot}/%{_libdir}/*.la


%files
%doc README NEWS AUTHORS
%{_bindir}/*
%{_datadir}/%{name}
%{_initrddir}/*

%files -n %libname
%{_libdir}/*.so.%{libmajor}*

%files -n %libnamedevel
%{_libdir}/*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog

* Tue Mar 20 2012 tmb <tmb> 0.1.9-2.mga2
+ Revision: 225045
- build against libnl3 (ubuntu, P1-P4)

* Mon Mar 05 2012 misc <misc> 0.1.9-1.mga2
+ Revision: 218852
- add patch to fix rpmlint complaint
- Add initscript for managing the netcf transaction
- new version 0.1.9

* Tue Apr 05 2011 misc <misc> 0.1.7-1.mga1
+ Revision: 80715
- imported package netcf from Mandriva

